Subject: Re: bug#2642: Apparent regression on font-lock-compile-keywords

From: Glenn Morris <[email-masked]>
Date: Thu, 12 Mar 2009 14:11:30 -0400

reassign 2642 notemacs
stop

Chong Yidong wrote:

> Okay---let's take with this file.  Please provide a precise,
> step-by-step recipe for reproducing this bug, starting with
>
> 1.  emacs -Q -l groovy-mode.el

That file seems to be fine, but emacs-wiki 2.69 has a bug in
emacs-wiki-colors.el's setting of font-lock-defaults.

It is fixed in 2.72 (which is over 2 years old):

2006-10-10 04:26:33 GMT Michael Olson <[email-masked]> patch-147

    * emacs-wiki-colors.el (emacs-wiki-use-font-lock): Fix bug that
      was noticed with recent builds of Emacs 22. Improper quoting was
      used. Thanks to Chong Yidong and intrigeri for noticing this.

Neither of these files are part of Emacs.